<?php
/*---------------------------------------------------+
| PHP-Fusion v7.0
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Resizer Infusion for PHP-Fusion 7 made by:
| Trade Mad
+----------------------------------------------------+
| Based on Resizer Infusion for PHP-Fusion 6 made by:
| XtraLars, bigwimp, johanf
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."resizer_infusion/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."resizer_infusion/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."resizer_infusion/locale/English.php";
}

// Infusion general information
$inf_title = $locale['rsze000'];
$inf_description = $locale['rsze001'];
$inf_version = "1.00";
$inf_developer = "Trade Mad";
$inf_email = "info@mertguner.com.tr";
$inf_weburl = "http://www.mertguner.com.tr";

$inf_folder = "resizer_infusion"; // The folder in which the infusion resides.

$inf_adminpanel[1] = array(
	"title" => "Resizer",
	"image" => "resizer.gif",
	"panel" => "resizer_admin.php",
	"rights" => "RS"
);

$inf_sitelink[1] = array(
	"title" => "Resizer",
	"url" => "resizer.php",
	"visibility" => "101"
);



$inf_newtables = 3; // Number of new db tables to create or drop.
$inf_insertdbrows = 3; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable[1] = DB_PREFIX."resizer_images (
  img_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  user_id SMALLINT(5) UNSIGNED NOT NULL,
  img_file VARCHAR(60) NULL DEFAULT '',
  img_resizeddate DATETIME NULL DEFAULT '1000-01-01 00:00:00',
  PRIMARY KEY(img_id)
);";

$inf_newtable[2] = DB_PREFIX."resizer_templates (
  tem_id SMALLINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  tem_maxY SMALLINT(5) UNSIGNED NOT NULL DEFAULT 100,
  tem_maxX SMALLINT(5) UNSIGNED NOT NULL DEFAULT 100,
  tem_name VARCHAR(35) NOT NULL DEFAULT '',
  tem_description TEXT NULL DEFAULT '',
  tem_format TINYINT(2) NULL DEFAULT 0,
  PRIMARY KEY(tem_id)
);";

$inf_newtable[3] = DB_PREFIX."resizer_settings (
  buffer_length TINYINT(3) UNSIGNED NULL DEFAULT 15,
  maxFileSize INTEGER UNSIGNED NOT NULL DEFAULT 3000000,
  group_id SMALLINT(3) UNSIGNED NULL DEFAULT 101
);";

$inf_insertdbrow[1] = DB_PREFIX."resizer_settings (buffer_length, maxFileSize, group_id) VALUES(15, 3000000, 101)";
$inf_insertdbrow[2] = DB_PREFIX."resizer_templates (tem_maxY, tem_maxX, tem_name, tem_description, tem_format)"
					  ." VALUES(600, 600, 'News image', 'Images to be used on the front-page. Width that does not mess up the page width', ".IMAGETYPE_JPEG.")";
$inf_insertdbrow[3] = DB_PREFIX."resizer_templates (tem_maxY, tem_maxX, tem_name, tem_description, tem_format)"
					  ." VALUES(100, 100, 'Avatar', 'Default Avatar-size', ".IMAGETYPE_GIF.")";

$inf_droptable[1] = DB_PREFIX."resizer_images";
$inf_droptable[2] = DB_PREFIX."resizer_templates";
$inf_droptable[3] = DB_PREFIX."resizer_settings";

?>